## deheader 1.2

=== debian/changelog ===
deheader (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 19 Jul 2015 13:12:13 +0200

deheader (1.1-2) unstable; urgency=low

  * Added patch to generate reproducible manpages
  * Added make to dependencies and C/C++ compilers to recommended packages

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 01 May 2015 13:08:45 +0200

deheader (1.1-1) unstable; urgency=low

  * Initial release (Closes: #607691)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 08 Mar 2015 14:48:33 +0100

## deheader 1.3

=== Makefile ===
#
# makefile for `deheader'
#
VERS=$(shell sed <deheader -n -e '/version\s*=\s*"\(.*\)"/s//\1/p')

SOURCES = README COPYING NEWS deheader deheader.xml deheader.1 Makefile control deheader-logo.png

all: deheader.1

deheader.1: deheader.xml
	xmlto man deheader.xml

deheader.html: deheader.xml
	xmlto html-nochunks deheader.xml

clean:
	rm -f *~ *.1 *.html test/*.o test/*~ MANIFEST

check: regress

regress:
	cd test; make --quiet regress
makeregress:
	cd test; make --quiet makeregress

PYLINTOPTS = --rcfile=/dev/null --reports=n \
	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
	--dummy-variables-rgx='^_'
SUPPRESSIONS = --disable="C0103,C0111,C0301,C0302,C0323,C1001,R0903,R0912,R0913,R0914,R0915,W0110,W0141,W0611,W0621"
pylint:
	@pylint $(PYLINTOPTS) $(SUPPRESSIONS) deheader

version:
	@echo $(VERS)

deheader-$(VERS).tar.gz: $(SOURCES)
	@ls $(SOURCES) | sed s:^:deheader-$(VERS)/: >MANIFEST
	@(cd ..; ln -s deheader deheader-$(VERS))
	(cd ..; tar -czf deheader/deheader-$(VERS).tar.gz `cat deheader/MANIFEST`)
	@ls -l deheader-$(VERS).tar.gz
	@(cd ..; rm deheader-$(VERS))

dist: deheader-$(VERS).tar.gz

release: deheader-$(VERS).tar.gz deheader.html
	shipper version=$(VERS) | sh -e -x

refresh: deheader.html
	shipper -N -w version=$(VERS) | sh -e -x

=== debian/changelog ===
deheader (1.3-1) unstable; urgency=low

  * New upstream release.
    + Retry in subdirectories on failure (Closes: #808967)
  * Upstream changed license from BSD-3-Clause to BSD-2-Clause.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 13 Jan 2016 19:24:40 +0100

=== debian/control ===
Source: deheader
Section: devel
Priority: optional
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper (>= 9), dh-python, python-all, xmlto
Standards-Version: 3.9.6
Homepage: http://www.catb.org/~esr/deheader/

Package: deheader
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, make
Recommends: c-compiler, c++-compiler
Description: Find and remove unnecessary includes in C or C++ source files
 deheader analyzes C and C++ files to determine which header inclusions can be
 removed while still allowing them to compile.  This may result in substantial
 improvements in compilation time, especially on large C++ projects; it also
 sometimes exposes dependencies and cohesions of which developers were unaware.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_test:
	# tests are not shipped in tarball, but target still exists in Makefile

override_dh_installchangelogs:
	dh_installchangelogs NEWS upstream

## deheader 1.6

=== Makefile ===
#
# makefile for `deheader'
#
VERS=$(shell sed <deheader -n -e '/version\s*=\s*"\(.*\)"/s//\1/p')

SOURCES = README COPYING NEWS deheader deheader.xml deheader.1 Makefile control deheader-logo.png test

all: deheader.1

deheader.1: deheader.xml
	xmlto man deheader.xml

deheader.html: deheader.xml
	xmlto html-nochunks deheader.xml

clean:
	rm -f *~ *.1 *.html test/*.o test/*~ MANIFEST

check: regress

regress:
	cd test; make --quiet regress
makeregress:
	cd test; make --quiet makeregress

PYLINTOPTS = --rcfile=/dev/null --reports=n \
	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
	--dummy-variables-rgx='^_'
SUPPRESSIONS = --disable="C0103,C0111,C0301,C0302,C0323,C1001,R0903,R0912,R0913,R0914,R0915,W0110,W0141,W0611,W0621,E0611"
pylint:
	@pylint $(PYLINTOPTS) $(SUPPRESSIONS) deheader

version:
	@echo $(VERS)

deheader-$(VERS).tar.gz: $(SOURCES) deheader.1
	tar --transform='s:^:deheader-$(VERS)/:' --show-transformed-names -cvzf deheader-$(VERS).tar.gz $(SOURCES) deheader.1

dist: deheader-$(VERS).tar.gz

release: deheader-$(VERS).tar.gz deheader.html
	shipper version=$(VERS) | sh -e -x

refresh: deheader.html
	shipper -N -w version=$(VERS) | sh -e -x

=== test/Makefile ===
PATH := ..:.:${PATH}

SOURCES = $(shell ls *.c)

regress:
	@echo "Testing deheader: no output is good news."
	@setpython python2
	@-deheader -v -v . >/tmp/regress
	@diff -u regress.chk /tmp/regress
	@setpython python3
	@-deheader -v -v . >/tmp/regress
	@diff -u regress.chk /tmp/regress
	@setpython python
	@rm /tmp/regress 
makeregress:
	@-deheader -v -v . >regress.chk

# Verify that the test sources build correctly when unaltered
verify:
	for x in $(SOURCES:.c=.o); do make CFLAGS='-Werror -Wfatal-errors' $$x; done

clean:
	rm -f *.o *~

=== debian/changelog ===
deheader (1.6-1) unstable; urgency=low

  * New upstream release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 30 Sep 2016 18:19:10 +0200

deheader (1.5-2) unstable; urgency=low

  * debian/tests:
    - build-essential is required during test for building test sources.
    - rw-build-tree restriction is needed for symlinks created during test.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 29 Sep 2016 19:03:47 +0200

deheader (1.5-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compat level to 10 (no changes needed).
  * Run upstream regression tests during build and as autopkgtest.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 28 Sep 2016 19:07:36 +0200

deheader (1.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Add Vcs-* fields; imported to collab-maint.
  * Remove patch for reproducible date in manpage, which is no longer needed.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 02 Sep 2016 23:54:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper (>= 9), dh-python, python-all, xmlto
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), dh-python, python-all, xmlto
+Standards-Version: 3.9.8
 Homepage: http://www.catb.org/~esr/deheader/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/deheader.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/deheader.git
 
 Package: deheader
 Architecture: all
@@ -15,4 +17,3 @@
  removed while still allowing them to compile.  This may result in substantial
  improvements in compilation time, especially on large C++ projects; it also
  sometimes exposes dependencies and cohesions of which developers were unaware.
-

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
Test-Command: make check
Restrictions: rw-build-tree
Depends: build-essential, python, python3, diffutils

## deheader 1.7

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 VERS=$(shell sed <deheader -n -e '/version\s*=\s*"\(.*\)"/s//\1/p')
 
-SOURCES = README COPYING NEWS deheader deheader.xml deheader.1 Makefile control deheader-logo.png test
+SOURCES = README COPYING NEWS deheader deheader.xml Makefile control deheader-logo.png test
 
 all: deheader.1

=== test/Makefile ===
PATH := ..:.:${PATH}

SOURCES = $(shell ls *.c)

regress:
	@echo "Testing deheader: no output is good news."
	@./setpython python2
	@-../deheader -v -v . >/tmp/regress
	@diff -u regress.chk /tmp/regress
	@./setpython python3
	@-../deheader -v -v . >/tmp/regress
	@diff -u regress.chk /tmp/regress
	@./setpython python
	@rm /tmp/regress 
makeregress:
	@-../deheader -v -v . >regress.chk

# Verify that the test sources build correctly when unaltered
verify:
	for x in $(SOURCES:.c=.o); do make CFLAGS='-Werror -Wfatal-errors' $$x; done

clean:
	rm -f *.o *~

=== debian/changelog ===
deheader (1.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.
  * Update Standards-Version to 4.5.0:
    - Declare that d/rules does not require root
  * Update to debhelper compat level 13.
  * Update Vcs-* URLs.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 12 Aug 2020 19:31:57 +0200

deheader (1.6-4) unstable; urgency=medium

  * Move packaging VCS to salsa.
  * Bump Standards-Version to 4.1.4.
  * Bump debhelper compat/dependency to 11.
  * Add upstream metadata file.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 27 Apr 2018 19:20:05 +0200

deheader (1.6-3) unstable; urgency=medium

  * Add deheader itself to test dependencies.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 24 Sep 2017 19:16:11 +0200

deheader (1.6-2) unstable; urgency=medium

  * Fix filename of header for (f)statvfs. (Closes: #842945)
  * Change dependencies to python3 and build as python3 application.
    (Closes: #876518)
  * Don't run python2 test during build to not need python2 build dependency.
  * Test installed script during autopkgtest run.
  * Bump Standards-Version to 4.1.0.
  * Fix spelling error found by lintian.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 23 Sep 2017 14:22:06 +0200

=== debian/control ===
Source: deheader
Section: devel
Priority: optional
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all, xmlto
Standards-Version: 4.5.0
Homepage: http://www.catb.org/~esr/deheader/
Vcs-Git: https://salsa.debian.org/reiner/deheader.git
Vcs-Browser: https://salsa.debian.org/reiner/deheader
Rules-Requires-Root: no

Package: deheader
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, make
Recommends: c-compiler, c++-compiler
Description: Find and remove unnecessary includes in C or C++ source files
 deheader analyzes C and C++ files to determine which header inclusions can be
 removed while still allowing them to compile.  This may result in substantial
 improvements in compilation time, especially on large C++ projects; it also
 sometimes exposes dependencies and cohesions of which developers were unaware.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## deheader 1.8

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 VERS=$(shell sed <deheader -n -e '/version\s*=\s*"\(.*\)"/s//\1/p')
 
-SOURCES = README COPYING NEWS deheader deheader.xml Makefile control deheader-logo.png test
+SOURCES = README COPYING NEWS.adoc deheader deheader.xml Makefile control deheader-logo.png test
 
 all: deheader.1
 
@@ -23,12 +23,8 @@
 makeregress:
 	cd test; make --quiet makeregress
 
-PYLINTOPTS = --rcfile=/dev/null --reports=n \
-	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
-	--dummy-variables-rgx='^_'
-SUPPRESSIONS = --disable="C0103,C0111,C0301,C0302,C0323,C1001,R0903,R0912,R0913,R0914,R0915,W0110,W0141,W0611,W0621,E0611"
 pylint:
-	@pylint $(PYLINTOPTS) $(SUPPRESSIONS) deheader
+	@pylint --score=n deheader
 
 version:
 	@echo $(VERS)

=== debian/changelog ===
deheader (1.8-1) unstable; urgency=medium

  * New upstream release.
  * Adjust path to upstream changelog.
  * Bump Standards-Version to 4.6.0.
  * Bump copyright years to 2022.
  * Update watch file to format version 4.
  * Drop dh_python3 override, as python3 shebang is already used.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 29 Jan 2022 17:58:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, xmlto
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://www.catb.org/~esr/deheader/
 Vcs-Git: https://salsa.debian.org/reiner/deheader.git
 Vcs-Browser: https://salsa.debian.org/reiner/deheader

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_installchangelogs:
	dh_installchangelogs NEWS.adoc

=== debian/tests/control ===
Test-Command: make --quiet -C test regress-installed
Restrictions: rw-build-tree
Depends: @, build-essential, diffutils

## deheader 1.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #
 # makefile for `deheader'
 #
+INSTALL=install
+prefix?=/usr/local
+mandir?=share/man
+target=$(DESTDIR)$(prefix)
+
 VERS=$(shell sed <deheader -n -e '/version\s*=\s*"\(.*\)"/s//\1/p')
 
 SOURCES = README COPYING NEWS.adoc deheader deheader.xml Makefile control deheader-logo.png test
@@ -13,15 +18,31 @@
 deheader.html: deheader.xml
 	xmlto html-nochunks deheader.xml
 
+INSTALLABLES := deheader
+MANPAGES := deheader.1
+
+install:
+	$(INSTALL) -d "$(target)/bin"
+	$(INSTALL) -d "$(target)/share/doc/deheader"
+	$(INSTALL) -d "$(target)/$(mandir)/man1"
+	$(INSTALL) -m 755 $(INSTALLABLE) "$(target)/bin"
+	$(INSTALL) -m 644 $(MANPAGES) "$(target)/$(mandir)/man1"
+
+INSTALLED_BINARIES := $(INSTALLABLES:%="$(target)/bin/%")
+INSTALLED_MANPAGES := $(MANPAGES:%="$(target)/$(mandir)/man1/%")
+
+uninstall:
+	rm -f $(INSTALLED_BINARIES)
+	rm -f $(INSTALLED_MANPAGES)
+	rmdir "$(target)/share/doc/deheader"
+
 clean:
 	rm -f *~ *.1 *.html test/*.o test/*~ MANIFEST
 
-check: regress
-
-regress:
-	cd test; make --quiet regress
-makeregress:
-	cd test; make --quiet makeregress
+check:
+	cd test; make --quiet check
+checkfile:
+	cd test; make --quiet checkfile
 
 pylint:
 	@pylint --score=n deheader

=== debian/changelog ===
deheader (1.9-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
  * Fix installation of binaries.
  * Build-depend on dh-sequence-python3 instead of manually specifying --with.
  * Bump Standards-Version to 4.6.2.
  * Bump copyright years.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 31 Jan 2023 19:26:16 +0100

## deheader 1.10

=== test/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SOURCES = $(shell ls *.c)
 
-regress:
+check:
 	@echo "Testing deheader: no output is good news."
 	@./setpython python2
 	@-../deheader -v -v . >/tmp/regress
@@ -12,8 +12,11 @@
 	@diff -u regress.chk /tmp/regress
 	@./setpython python
 	@rm /tmp/regress 
-makeregress:
+checkfile:
 	@-../deheader -v -v . >regress.chk
+
+refine:
+	for x in $(SOURCES); do echo "$$x"; ../deheader $$x || exit 1; done
 
 # Verify that the test sources build correctly when unaltered
 verify:

=== debian/changelog ===
deheader (1.10-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch applied upstream.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 21 Feb 2023 19:03:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all, xmlto
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, dh-python, python3-all, xmlto
+Standards-Version: 4.6.2
 Homepage: http://www.catb.org/~esr/deheader/
 Vcs-Git: https://salsa.debian.org/reiner/deheader.git
 Vcs-Browser: https://salsa.debian.org/reiner/deheader

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_installchangelogs:
	dh_installchangelogs NEWS.adoc

=== debian/tests/control ===
Test-Command: make --quiet -C test check-installed
Restrictions: rw-build-tree
Depends: @, build-essential, diffutils

=== debian/watch ===
version=4
http://www.catb.org/~esr/deheader/ deheader-@ANY_VERSION@@ARCHIVE_EXT@

## deheader 1.10+git20240531

=== debian/changelog ===
deheader (1.10+git20240531-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fixes FTBFS with GCC 14. (Closes: #1077453)
  * Bump Standards-Version to 4.7.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 03 Aug 2024 00:47:54 +0200

deheader (1.10-2) unstable; urgency=medium

  * Disable warnings about implicitly declared functions, as files are only
    compiled for unit tests. (Closes: #1066736)

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 25 Mar 2024 18:26:26 +0100

## deheader 1.11

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	$(INSTALL) -d "$(target)/bin"
 	$(INSTALL) -d "$(target)/share/doc/deheader"
 	$(INSTALL) -d "$(target)/$(mandir)/man1"
-	$(INSTALL) -m 755 $(INSTALLABLE) "$(target)/bin"
+	$(INSTALL) -m 755 $(INSTALLABLES) "$(target)/bin"
 	$(INSTALL) -m 644 $(MANPAGES) "$(target)/$(mandir)/man1"
 
 INSTALLED_BINARIES := $(INSTALLABLES:%="$(target)/bin/%")

=== debian/changelog ===
deheader (1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 06 Oct 2024 12:43:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, dh-python, python3-all, xmlto
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://www.catb.org/~esr/deheader/
 Vcs-Git: https://salsa.debian.org/reiner/deheader.git
 Vcs-Browser: https://salsa.debian.org/reiner/deheader

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = qa=-bug-implicit-func
 
 %:
 	dh $@

## deheader 1.12

=== Makefile ===
#
# makefile for `deheader'
#
# SPDX-FileCopyrightText: (C) Eric S. Raymond <esr@thyrsus.com>
# SPDX-License-Identifier: BSD-2-Clause

PREFIX      ?= /usr/local
BINDIR      ?= $(PREFIX)/bin
DATADIR     ?= $(PREFIX)/share
MANDIR      ?= $(DATADIR)/man

VERSION=$(shell sed <deheader -n -e '/version\s*=\s*"\(.*\)"/s//\1/p')

# Rules

# Note: to suppress the footers with timestamps being generated in HTML,
# we use "-a nofooter".
# To debug asciidoc problems, you may need to run "xmllint --nonet --noout --valid"
# on the intermediate XML that throws an error.
.SUFFIXES: .html .adoc .1

.adoc.1:
	asciidoctor -D. -a nofooter -b manpage $<
.adoc.html:
	asciidoctor -D. -a nofooter -a webfonts! $<

.PHONY: all clean check buildchecks pylint spellcheck
.PHONY: install uninstall version dist release refresh

# Build

all: deheader.1

clean:
	rm -f *~ *.1 *.html tests/*.o tests/*~

# Validate

check:
	cd tests; make --quiet check
buildchecks:
	cd tests; make --quiet checkfile

pylint:
	@pylint --score=n deheader

spellcheck:
	@spellcheck deheader.adoc

# Install/uninstall

install:
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 deheader $(DESTDIR)$(BINDIR)/deheader
	install deheader.1 $(DESTDIR)$(MANDIR)/man1/deheader.1

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/deheader
	rm -f $(DESTDIR)$(MANDIR)/man1/deheader.1

# Export

version:
	@echo $(VERSION)

SOURCES = README.adoc COPYING NEWS.adoc deheader deheader.adoc Makefile control deheader-logo.png tests

deheader-$(VERSION).tar.gz: $(SOURCES)
	mkdir deheader-$(VERSION)
	cp -r $(SOURCES) deheader-$(VERSION)
	tar -czf deheader-$(VERSION).tar.gz deheader-$(VERSION)
	rm -fr deheader-$(VERSION)
	ls -l deheader-$(VERSION).tar.gz

dist: deheader-$(VERSION).tar.gz

NEWSVERSION=$(shell sed -n <NEWS.adoc '/^[0-9]/s/:.*//p' | head -1)

release: deheader-$(VERSION).tar.gz deheader.html
	@[ $(VERSION) = $(NEWSVERSION) ] || { echo "Version mismatch!"; exit 1; }
	shipper version=$(VERSION) | sh -e -x

refresh: deheader.html
	@[ $(VERSION) = $(NEWSVERSION) ] || { echo "Version mismatch!"; exit 1; }
	shipper -N -w version=$(VERSION) | sh -e -x

# end

=== debian/changelog ===
deheader (1.12-1) unstable; urgency=medium

  * New upstream release.
  * Build manpage with asciidoctor instead of xmlto.
  * Adjust packaging to changed paths.
  * Upgrade Standards-Version to 4.7.3:
    - Drop Priority from d/control, as optional is default
  * Drop Rules-Requires-Root: no, as it now is the default.
  * Update watch file to version 5.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 20 Feb 2026 21:27:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: deheader
 Section: devel
-Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, dh-python, python3-all, xmlto
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, dh-python, python3-all, asciidoctor
+Standards-Version: 4.7.3
 Homepage: http://www.catb.org/~esr/deheader/
 Vcs-Git: https://salsa.debian.org/reiner/deheader.git
 Vcs-Browser: https://salsa.debian.org/reiner/deheader
-Rules-Requires-Root: no
 
 Package: deheader
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 	dh $@
 
 override_dh_auto_install:
-	dh_auto_install -- prefix=/usr
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.adoc

=== debian/tests/control ===
Test-Command: make --quiet -C tests check-installed
Restrictions: rw-build-tree
Depends: @, build-essential, diffutils

=== debian/watch ===
Version: 5

Source: http://www.catb.org/~esr/deheader/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
